<?php
// Create header Settings section
CSF::createSection( $purefit_theme_option, array(
    'title' => esc_html__( 'Header Settings', 'xpress-core' ),
    'id'    => 'header_options',
    'icon'  => 'fa fa-header',
) );
CSF::createSection( $purefit_theme_option, array(
    'parent' => 'header_options',
	'title'  => esc_html__( 'Header Options', 'purefit-core' ),
	'icon'   => 'fa fa-header',
	'fields' => array(
        array(
            'type'    => 'subheading',
            'content' => '<h3>' . esc_html__( 'Header Layout', 'purefit-tools' ) . '</h3>',
        ),

        array(
            'id'          => 'header_style',
            'type'        => 'select',
            'chosen'      => true,
            'title'       => __('Select Header Style', 'purefit-tools' ),
            'options'     => Purefit_Plugin_Helper::get_header_types(),
        ),

        array(
            'id' =>'header_default_logo',
            'type'=>'media',
            'title'=>esc_html__( 'Header Logo', 'purefit-core' ),
            'library'      => 'image',
            'url'          => false,
            'button_title' => esc_html__( 'Upload Logo', 'purefit-core' ),
            'desc'         => esc_html__( 'Upload logo image', 'purefit-core' ),
        ),

        array(
            'id'          => 'logo_maximum_width',
            'type'        => 'slider',
            'title'       => esc_html__( 'Logo Maximum Width', 'purefit-core' ),
            'min'         => 50,
            'max'         => 500,
            'step'        => 1,
            'unit'        => 'px',
            'output'      => '.header__logo img',
            'output_mode' => 'max-width',
            'desc'        => esc_html__( 'Logo image maximum width', 'purefit-core' ),
        ),
    )
) );
// Sidebar Option
CSF::createSection( $purefit_theme_option, array(
    'parent' => 'header_options',
    'title'  => 'Offcanvas Menu',
    'id'     => 'offcanvas_options',
    'icon'   => 'fa fa-bars',
    'fields' => array(
        array(
            'id'      => 'is_enable_offcanvas_nav',
            'type'    => 'switcher',
            'title'   => 'Switcher',
            'label'    => esc_html__( 'Do you want Offcanvas Nav? ', 'purefit-core' ),
            'default' => true
        ),

        array(
            'id'      => 'about_title',
            'title'   => esc_html__( 'About TItle', 'purefit-core' ),
            'type'    => 'textarea',
            'dependency'  => [
                'is_enable_offcanvas_nav', '==', 'true',
            ],
        ),

        array(
            'id'      => 'contact_info_title',
            'title'   => esc_html__( 'Contact Information Title', 'purefit-core' ),
            'type'    => 'text',
            'dependency'  => [
                'is_enable_offcanvas_nav', '==', 'true',
            ],
        ),
        array(
            'id'         => 'contact_info',
            'type'       => 'group',
            'title'      => 'Add Contact Information',
            'fields'     => array(
                array(
                    'id'      => 'info',
                    'title'   => esc_html__( 'Info', 'purefit-core' ),
                    'type'    => 'text',
                ),
            ),
            'dependency'  => [
                'is_enable_offcanvas_nav', '==', 'true',
            ],
        ),

        array(
            'id'      => 'off_call_title',
            'title'   => esc_html__( 'Off Call Title', 'purefit-core' ),
            'type'    => 'text',
            'dependency'  => [
                'is_enable_offcanvas_nav', '==', 'true',
            ],
        ),
        array(
            'id'      => 'off_call',
            'title'   => esc_html__( 'Off Call Title', 'purefit-core' ),
            'type'    => 'text',
            'dependency'  => [
                'is_enable_offcanvas_nav', '==', 'true',
            ],
        ),
        array(
            'id'      => 'off_email',
            'title'   => esc_html__( 'Email', 'purefit-core' ),
            'type'    => 'text',
            'dependency'  => [
                'is_enable_offcanvas_nav', '==', 'true',
            ],
        ),
        array(
            'id'         => 'offc_social_icons',
            'type'       => 'group',
            'title'      => 'Add Social Icon',
            'fields'     => array(
                array(
                    'id'    => 'social_title',
                    'type'  => 'text',
                    'title' => esc_html__( 'Social Title', 'purefit-core' ),
                ),
                array(
                    'id'    => 'link',
                    'type'  => 'text',
                    'title' => esc_html__( 'Social Profile Link', 'purefit-core' ),
                ),

            ),
            'dependency'  => [
                'is_enable_offcanvas_nav', '==', 'true',
            ],

        ),

    ),
) );